[@rxap/forms](../wiki/globals) / selectControlValue$

# Function: selectControlValue$()

> **selectControlValue$**\<`T`, `R`\>(`control`, `mapFn`): `Observable`\<`R`\>

Defined in: [packages/angular/forms/src/lib/control-actions.ts:161](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L161)

## Type Parameters

• **T**

• **R**

## Parameters

### control

[`RxapFormGroup`](../wiki/Class.RxapFormGroup)\<`T`, `any`\> | [`RxapFormArray`](../wiki/Class.RxapFormArray)\<`T`, `any`, `any`\> | [`RxapFormControl`](../wiki/Class.RxapFormControl)\<`T`, `any`, `any`\>

### mapFn

(`state`) => `R`

## Returns

`Observable`\<`R`\>
